Support Article

Issue while upgrading PRPC from 7.2 to 7.2.1

SA-26570

Summary



User is facing an error while upgrading from Pega 7.2 to Pega 7.2.1.

Error Messages



BUILD FAILED
/opt/pega/patch/scripts/setupDatabase.xml:391: The following error occurred while executing this line:
/opt/pega/patch/scripts/setupDatabase.xml:1533: condition doesn't support the nested "compareversions" element.


Steps to Reproduce



Execute the update.sh script with incorrect parameter values in setupDatabase.properties.


Root Cause



Issue in URL pattern for connecting to the database. The setupDatabase.properties parameter values were incorrect.

Resolution



1) Mapping of correct parameter values in setupDatabase.properties.

JDBC driver JAR file - sqldbc.jar
Database driver class - com.microsoft.sqlserver.jdbc.SQLServerDriver
Database vendor type - mssql
JDBC URL - url = "jdbc:sqlserver://host:port;databaseName=dbName;selectMethod=cursor;sendStringParametersAsUnicode=false"

2) Upgrading using UI tool as well "Using the Installation and Upgrade Assistant to upgrade the migrated rules schema" by selecting update.existing.applications, update.applications.schema, rebuilding indexes.

Published August 9, 2016 - Updated August 18, 2016

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.